Page MenuHomePhabricator

Project templating fails with special characters in projects settings
Closed, ResolvedPublic

Description

Steps to reproduce

  • Open edi (without arguments)
  • Create a new project
  • Fill the required fields, but add an apostrophe (aka simple quote) somewhere (e.g. Author name)
  • Click on the "Create" button
  • Watch the world burn.

Notes

Apostrophes should be included within the description of the project, not silently erased.

Console log

sh: -c: line 0: unexpected EOF while looking for matching `''
sh: -c: line 1: syntax error: unexpected end of file
rm: cannot remove '/home/jean/tarte//.gitignore.bak': No such file or directory
sh: -c: line 0: unexpected EOF while looking for matching `''
sh: -c: line 1: syntax error: unexpected end of file
rm: cannot remove '/home/jean/tarte//AUTHORS.bak': No such file or directory
sh: -c: line 0: unexpected EOF while looking for matching `''
sh: -c: line 1: syntax error: unexpected end of file
rm: cannot remove '/home/jean/tarte//COPYING.bak': No such file or directory
sh: -c: line 0: unexpected EOF while looking for matching `''
sh: -c: line 1: syntax error: unexpected end of file
rm: cannot remove '/home/jean/tarte//ChangeLog.bak': No such file or directory
sh: -c: line 0: unexpected EOF while looking for matching `''
sh: -c: line 1: syntax error: unexpected end of file
rm: cannot remove '/home/jean/tarte//INSTALL.bak': No such file or directory
sh: -c: line 0: unexpected EOF while looking for matching `''
sh: -c: line 1: syntax error: unexpected end of file
rm: cannot remove '/home/jean/tarte//Makefile.am.bak': No such file or directory
sh: -c: line 0: unexpected EOF while looking for matching `''
sh: -c: line 1: syntax error: unexpected end of file
rm: cannot remove '/home/jean/tarte//Makefile_Edje_Helper.am.bak': No such file or directory
sh: -c: line 0: unexpected EOF while looking for matching `''
sh: -c: line 1: syntax error: unexpected end of file
rm: cannot remove '/home/jean/tarte//NEWS.bak': No such file or directory
sh: -c: line 0: unexpected EOF while looking for matching `''
sh: -c: line 1: syntax error: unexpected end of file
rm: cannot remove '/home/jean/tarte//README.bak': No such file or directory
sh: -c: line 0: unexpected EOF while looking for matching `''
sh: -c: line 1: syntax error: unexpected end of file
rm: cannot remove '/home/jean/tarte//TODO.bak': No such file or directory
sh: -c: line 0: unexpected EOF while looking for matching `''
sh: -c: line 1: syntax error: unexpected end of file
rm: cannot remove '/home/jean/tarte//autogen.sh.bak': No such file or directory
sh: -c: line 0: unexpected EOF while looking for matching `''
sh: -c: line 1: syntax error: unexpected end of file
rm: cannot remove '/home/jean/tarte//configure.ac.bak': No such file or directory
sh: -c: line 0: unexpected EOF while looking for matching `''
sh: -c: line 1: syntax error: unexpected end of file
rm: cannot remove '/home/jean/tarte//data/Makefile.am.bak': No such file or directory
sh: -c: line 0: unexpected EOF while looking for matching `''
sh: -c: line 1: syntax error: unexpected end of file
rm: cannot remove '/home/jean/tarte//data/desktop/Makefile.am.bak': No such file or directory
sh: -c: line 0: unexpected EOF while looking for matching `''
sh: -c: line 1: syntax error: unexpected end of file
rm: cannot remove '/home/jean/tarte//data/themes/Makefile.am.bak': No such file or directory
sh: -c: line 0: unexpected EOF while looking for matching `''
sh: -c: line 1: syntax error: unexpected end of file
rm: cannot remove '/home/jean/tarte//data/themes/default/Makefile.am.bak': No such file or directory
sh: -c: line 0: unexpected EOF while looking for matching `''
sh: -c: line 1: syntax error: unexpected end of file
rm: cannot remove '/home/jean/tarte//data/themes/default/default.edc.bak': No such file or directory
sh: -c: line 0: unexpected EOF while looking for matching `''
sh: -c: line 1: syntax error: unexpected end of file
rm: cannot remove '/home/jean/tarte//data/themes/default/images/enlightenment.png.bak': No such file or directory
sh: -c: line 0: unexpected EOF while looking for matching `''
sh: -c: line 1: syntax error: unexpected end of file
rm: cannot remove '/home/jean/tarte//data/themes/default/sounds/bell.wav.bak': No such file or directory
sh: -c: line 0: unexpected EOF while looking for matching `''
sh: -c: line 1: syntax error: unexpected end of file
rm: cannot remove '/home/jean/tarte//data/themes/default/sounds/bell.wav.bak': No such file or directory
sh: -c: line 0: unexpected EOF while looking for matching `''
sh: -c: line 1: syntax error: unexpected end of file
rm: cannot remove '/home/jean/tarte//data/themes/default/sounds/bell.wav.bak': No such file or directory
sh: -c: line 0: unexpected EOF while looking for matching `''
sh: -c: line 1: syntax error: unexpected end of file
rm: cannot remove '/home/jean/tarte//data/themes/default/sounds/bell.wav.bak': No such file or directory
sh: -c: line 0: unexpected EOF while looking for matching `''
sh: -c: line 1: syntax error: unexpected end of file
rm: cannot remove '/home/jean/tarte//description.bak': No such file or directory
sh: -c: line 0: unexpected EOF while looking for matching `''
sh: -c: line 1: syntax error: unexpected end of file
rm: cannot remove '/home/jean/tarte//doc/Makefile.am.bak': No such file or directory
sh: -c: line 0: unexpected EOF while looking for matching `''
sh: -c: line 1: syntax error: unexpected end of file
rm: cannot remove '/home/jean/tarte//m4/efl.m4.bak': No such file or directory
sh: -c: line 0: unexpected EOF while looking for matching `''
sh: -c: line 1: syntax error: unexpected end of file
rm: cannot remove '/home/jean/tarte//m4/efl_attribute.m4.bak': No such file or directory
sh: -c: line 0: unexpected EOF while looking for matching `''
sh: -c: line 1: syntax error: unexpected end of file
rm: cannot remove '/home/jean/tarte//m4/efl_binary.m4.bak': No such file or directory
sh: -c: line 0: unexpected EOF while looking for matching `''
sh: -c: line 1: syntax error: unexpected end of file
rm: cannot remove '/home/jean/tarte//m4/efl_compiler_flag.m4.bak': No such file or directory
sh: -c: line 0: unexpected EOF while looking for matching `''
sh: -c: line 1: syntax error: unexpected end of file
rm: cannot remove '/home/jean/tarte//m4/efl_doxygen.m4.bak': No such file or directory
sh: -c: line 0: unexpected EOF while looking for matching `''
sh: -c: line 1: syntax error: unexpected end of file
rm: cannot remove '/home/jean/tarte//m4/efl_path_max.m4.bak': No such file or directory
sh: -c: line 0: unexpected EOF while looking for matching `''
sh: -c: line 1: syntax error: unexpected end of file
rm: cannot remove '/home/jean/tarte//m4/efl_tests.m4.bak': No such file or directory
sh: -c: line 0: unexpected EOF while looking for matching `''
sh: -c: line 1: syntax error: unexpected end of file
rm: cannot remove '/home/jean/tarte//po/Makevars.bak': No such file or directory
sh: -c: line 0: unexpected EOF while looking for matching `''
sh: -c: line 1: syntax error: unexpected end of file
rm: cannot remove '/home/jean/tarte//po/POTFILES.in.bak': No such file or directory
sh: -c: line 0: unexpected EOF while looking for matching `''
sh: -c: line 1: syntax error: unexpected end of file
rm: cannot remove '/home/jean/tarte//src/Makefile.am.bak': No such file or directory
sh: -c: line 0: unexpected EOF while looking for matching `''
sh: -c: line 1: syntax error: unexpected end of file
rm: cannot remove '/home/jean/tarte//src/bin/Makefile.am.bak': No such file or directory
sh: -c: line 0: unexpected EOF while looking for matching `''
sh: -c: line 1: syntax error: unexpected end of file
rm: cannot remove '/home/jean/tarte//src/bin/gettext.h.bak': No such file or directory
sh: -c: line 0: unexpected EOF while looking for matching `''
sh: -c: line 1: syntax error: unexpected end of file
rm: cannot remove '/home/jean/tarte//src/lib/Makefile.am.bak': No such file or directory
sh: -c: line 0: unexpected EOF while looking for matching `''
sh: -c: line 1: syntax error: unexpected end of file
rm: cannot remove '/home/jean/tarte//src/tests/Makefile.am.bak': No such file or directory
sh: -c: line 0: unexpected EOF while looking for matching `''
sh: -c: line 1: syntax error: unexpected end of file
rm: cannot remove '/home/jean/tarte//data/desktop/tarte.desktop.in.bak': No such file or directory
sh: -c: line 0: unexpected EOF while looking for matching `''
sh: -c: line 1: syntax error: unexpected end of file
rm: cannot remove '/home/jean/tarte//data/desktop/tarte.png.bak': No such file or directory
sh: -c: line 0: unexpected EOF while looking for matching `''
sh: -c: line 1: syntax error: unexpected end of file
rm: cannot remove '/home/jean/tarte//doc/tarte.1.in.bak': No such file or directory
sh: -c: line 0: unexpected EOF while looking for matching `''
sh: -c: line 1: syntax error: unexpected end of file
rm: cannot remove '/home/jean/tarte//src/bin/tarte_main.c.bak': No such file or directory
sh: -c: line 0: unexpected EOF while looking for matching `''
sh: -c: line 1: syntax error: unexpected end of file
rm: cannot remove '/home/jean/tarte//src/bin/tarte_private.h.bak': No such file or directory
sh: -c: line 0: unexpected EOF while looking for matching `''
sh: -c: line 1: syntax error: unexpected end of file
rm: cannot remove '/home/jean/tarte//src/lib/tarte.h.bak': No such file or directory
sh: -c: line 0: unexpected EOF while looking for matching `''
sh: -c: line 1: syntax error: unexpected end of file
rm: cannot remove '/home/jean/tarte//src/lib/tarte.c.bak': No such file or directory
sh: -c: line 0: unexpected EOF while looking for matching `''
sh: -c: line 1: syntax error: unexpected end of file
rm: cannot remove '/home/jean/tarte//src/lib/tarte_private.h.bak': No such file or directory
sh: -c: line 0: unexpected EOF while looking for matching `''
sh: -c: line 1: syntax error: unexpected end of file
rm: cannot remove '/home/jean/tarte//src/tests/test_tarte.c.bak': No such file or directory
zsh:1: unmatched "
jayji created this task.Sep 18 2017, 10:28 PM
ajwillia.ms edited projects, added Restricted Project; removed Restricted Project.Sep 19 2017, 6:10 AM

There are issues elsewhere, we need to escape all our filename's etc.

ajwillia.ms moved this task from Restricted Project Column to Restricted Project Column on the Restricted Project board.Sep 20 2017, 2:20 PM
ajwillia.ms moved this task from Restricted Project Column to Restricted Project Column on the Restricted Project board.Sep 21 2017, 7:56 AM
ajwillia.ms moved this task from Restricted Project Column to Restricted Project Column on the Restricted Project board.Sep 21 2017, 12:34 PM
ajwillia.ms closed this task as Resolved.
ajwillia.ms claimed this task.